
#include "utility.h"
int checkHit(int x1, int y1, int w1, int h1, int x2, int y2, int w2, int h2) {
	/*
	if(
	Math.abs(red.x - blue.x) < red.width/2 + blue.width/2 //横の判定
	&&
	Math.abs(red.y - blue.y) < red.height/2 + blue.height/2 //縦の判定
	){
	*/

	if (abs(x1 - x2) < (w1 / 2.0 + w2 / 2.0) && abs(y1 - y2) < (h1 / 2.0 + h2 / 2.0)) return 1;

	return 0;
}
